version 12.0
clear
set more off

use "revoltonnile_appendix_monthly.dta", clear

log using "revoltonnile_appendix_monthly.txt", text replace
****************************
*** Table 8 of Appendix  ***
****************************
*Col. 1
reg ch shock, cluster(nileyear)

*Col. 2
areg ch shock, cluster(nileyear) absorb(dec)

*Generating solar month dummies
tab cmonth, gen(m)

*Col. 3
areg ch shock m1-m12, cluster(nileyear) absorb(cyear)

*Col. 4
reg ch shock  eclipse, cluster(nileyear)
test shock=eclipse

*Col. 5
areg ch shock eclipse, cluster(nileyear) absorb(dec)
test shock=eclipse

*Col. 6
areg ch shock eclipse m1-m12, cluster(nileyear) absorb(cyear)
test shock=eclipse

*Col. 7
reg ch shock  ramadan, cluster(nileyear)
test shock=ramadan

*Col. 8
areg ch shock ramadan, cluster(nileyear) absorb(dec)
test shock=ramadan

*Col. 9
areg ch shock ramadan m1-m12, cluster(nileyear) absorb(cyear)
test shock=ramadan

log close
